EDIT - feature request #7011
feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration

Migrate group authority editor
10/09/2017 04:25 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.11

Severity: normal

Description

Associated revisions

Revision d0eb8b9f - 10/09/2017 04:26 PM - Patrick Plitzner
fix #7011 Migrate group authority editor

Revision 0634d71b - 11/06/2017 04:44 PM - Patrick Plitzner
ref #7011 Migrate dnd

Revision 907fd6eb - 12/18/2017 03:19 PM - Katja Luther

fix #7011: open the cdm authorities editor in editor area and fix that it is grayed

Revision 26bdf4ea - 12/18/2017 03:31 PM - Katja Luther

fix #7011: fragment.xmi missed to check in

Revision 4d7cb09d - 02/27/2018 11:06 AM - Patrick Plitzner

ref #7011 harmonize creation and showing of MParts

e also allow authority editor to be opened in multiple parts

History

#1 - 10/09/2017 04:26 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|d0eb8b9f48b808de39dcee2cc0245b409ef24c9d.

#2 - 10/09/2017 04:26 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Mliller

#3 - 10/11/2017 03:32 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Patrick Plitzner

- Priority changed from New to Highest

D&D does not yet work. E.g. from Tax Navigator.

#4 - 10/11/2017 03:47 PM - Katja Luther

D&D also does not work for nodes in taxonnavigator, maybe this has to be migrated first.

#5 - 10/18/2017 11:57 PM - Andreas Miiller
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/d0eb8b9f48b808de39dcee2cc0245b409ef24c9d

Katja Luther wrote:

D&D also does not work for nodes in taxonnavigator, maybe this has to be migrated first.

Seems to be fixed in navigator, but still does not work in authority editor.

#6 - 11/06/2017 04:45 PM - Patrick Plitzner

- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller

- % Done changed from 50 to 70

#7 - 11/06/2017 05:48 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

D&D still does not work.

Also the editor should open in the Editor part (together with name editor, bulk editor, etc.), this is how it was in e3.

#8 - 11/06/2017 06:03 PM - Andreas Miuller

Andreas Muller wrote:

D&D still does not work.

Sorry, | worked with an old version. D&D works now.

#9 - 11/06/2017 06:04 PM - Andreas Miiller

Saving does take extremely long or not work at all. Only save by close works fast.

#10 - 11/06/2017 06:05 PM - Andreas Miiller

Trying to open the editor again result in an CCE:

login

editor version

server

schema version

admin

test.e-taxonomy.eu
4.7.0.0.201710040000

4.11.0.201711061648

(edit-test) / rem_conf_am

os : Windows Server 2012 R2 6.3 amdo64

java

1.8

.0_121

org.eclipse.ed.core.di.InjectionException: java.lang.ClassCastException: eu.etaxonomy.taxeditor.editor.group.a
uthority.ed4.CdmAuthorityEditorE4 cannot be cast to eu.etaxonomy.taxeditor.bulkeditor.ed4.BulkEditorE4
contexts.

.di.MethodRequestor.execute (MethodRequestor. java:65)
internal.
internal.

di.InjectorImpl.invokeUsingClass (InjectorImpl.java:282)
di.InjectorImpl.invoke (InjectorImpl. java:264)
ContextInjectionFactory.invoke (ContextInjectionFactory. java:132)

.ul.workbench.renderers.swt.MenuManagerShowProcessor.processDynamicElements (MenuManagerSh

.ui.workbench.renderers.swt.MenuManagerShowProcessor.menuAboutToHide (MenuManagerShowProce

ce.internal.MenuManagerEventHelper.showEventPostHelper (MenuManagerEventHelper. java:92)
ce.action.MenuManager.handleAboutToShow (MenuManager.java:471)
ce.action.MenuManager.access$1l (MenuManager.java:465)
ce.action.MenuManager$2.menuShown (MenuManager. java:497)

.widgets.
widgets.
.widgets.
.widgets.
widgets.
.widgets.
.widgets.
.widgets.
widgets.
.widgets.

TypedListener.handleEvent (TypedListener.java:256)
EventTable.sendEvent (EventTable. java:84)
Display.sendEvent (Display.java:4418)
Widget.sendEvent (Widget. java:1079)
Widget.sendEvent (Widget. java:1103)

Widget .sendEvent (Widget. java:1084)
Control.WM_INITMENUPOPUP (Control. java:5160)
Control.windowProc (Control. java:4828)
Canvas.windowProc (Canvas. java:359)
Decorations.windowProc (Decorations.java:1656)
Shell.windowProc (Shell. java:2199)
Display.windowProc (Display.java:5110)
internal.win32.0S.TrackPopupMenu (Native Method)
widgets.Menu._setVisible (Menu.java:262)
org.eclipse.swt.widgets.Display.runPopups (Display.java:4277)
org.eclipse.swt.widgets.Display.readAndDispatch (Display. java:3818)
org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)
org.eclipse.ed4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher.java:134

org.eclipse.core.runtime.internal.adaptor.EclipseApplauncher.start (EclipseAppLauncher.java:104)
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
org.eclipse.equinox.launcher.Main.run(Main. java:1519)

by: java.lang.ClassCastException: eu.etaxonomy.taxeditor.editor.group.authority.ed4.CdmAuthorityEditorE4

cannot be cast to eu.etaxonomy.taxeditor.bulkeditor.ed4.BulkEditorE4

at

eu.etaxonomy.taxeditor.bulkeditor.ed4.command.DynamicNewObjectMenuE4.aboutToShow (DynamicNewObjectMenuE4.

java:50)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.ed4.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

46 more

#11 - 11/06/2017 06:08 PM - Andreas Miiller

Reopening the editor after having it moved results in a grey (empty) editor. After moving it to another part it shows the content.

What | did:

Open usergroup bulk

open rights editor (shows data)

move rights editor to "editor" part

close rights editor

reopen rights editor => grey + empty
move to other part => content shows up

#12 - 12/18/2017 02:13 PM - Katja Luther

Andreas Muller wrote:

Reopening the editor after having it moved results in a grey (empty) editor. After moving it to another part it shows the content.

What | did:

Open usergroup bulk

open rights editor (shows data)

move rights editor to "editor" part

close rights editor

reopen rights editor => grey + empty
move to other part => content shows up

opening another rights editor works again and opening the previously not correctly opened editor again works as well.

#13 - 12/18/2017 03:19 PM - Katja Luther

- Status changed from Feedback to Resolved

- % Done changed from 70 to 50

Applied in changeset taxeditor|907fd6ebe4ed659af01f5b1b1a70ad0c41f92046.
#14 - 12/18/2017 03:19 PM - Katja Luther
- Assignee changed from Patrick Plitzner to Andreas Mliller

- % Done changed from 50 to 70

#15 - 12/18/2017 03:31 PM - Katja Luther
- % Done changed from 70 to 50

Applied in changeset taxeditor|26bdf4eafda9b87e2209002b4241aeb63271e377.

#16 - 04/27/2018 03:14 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Patrick Plitzner

this seems to fully work now

#17 - 04/27/2018 03:14 PM - Andreas Miiller
- % Done changed from 50 to 100
